PdfMalformedException (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class PdfMalformedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.harvard.hul.ois.jhove.module.pdf.PdfException
                  edu.harvard.hul.ois.jhove.module.pdf.PdfMalformedException

All Implemented Interfaces:
  java.io.Serializable

    public class PdfMalformedException

extends PdfException

Exception subclass used internally by the PDF module. A PdfMalformedException is thrown when a condition indicates that the document is not well-formed.

See Also:
  `PdfInvalidException`, Serialized Form

Constructor Summary
`PdfMalformedException(java.lang.String m)` Creates a PdfMalformedException.
`PdfMalformedException(java.lang.String m, long offset)` Creates a PdfMalformedException with specified offset.
`PdfMalformedException(java.lang.String m, long offset, Token token)` Creates a PdfMalformedException with specified offset and token.

Method Summary
`void` | `disparage(RepInfo info)` Performs the appropriate disparagement act on a RepInfo object.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfException
`getOffset, getToken`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdfMalformedException

    public PdfMalformedException(java.lang.String m)

  Creates a PdfMalformedException.

### PdfMalformedException

    public PdfMalformedException(java.lang.String m,
                                 long offset)

  Creates a PdfMalformedException with specified offset.

### PdfMalformedException

    public PdfMalformedException(java.lang.String m,
                                 long offset,
                                 Token token)

  Creates a PdfMalformedException with specified offset and token.

Method Detail

### disparage

    public void disparage(RepInfo info)

  Performs the appropriate disparagement act on a RepInfo object. For a PdfInvalidException, this is to call `setValid (false)`.

  Specified by:
    `disparage` in class `PdfException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD